function placementMap(x, y, r, g, b, a)
    mred, mgreen, mblue, _ = map:getPixel( x, y )
    texX = mred
    texY = mgreen
    alpha = mblue
    red, green, blue, _ = texture:getPixel(texX,texY)
    return red, green, blue, alpha
end

function love.load()
    map = love.image.newImageData("model3.png")
    render = love.image.newImageData(map:getWidth(),map:getHeight())
    texture = love.image.newImageData("texture2.png")
    render:mapPixel(placementMap)
    textured_image = love.graphics.newImage(render)
    textured_image:setFilter('nearest','nearest')
	
	image_width = textured_image:getWidth()
	image_height = textured_image:getHeight()
	sprite_width = image_width/5
	sprite_height = image_height/5
	sprite_index = 1
	sprite_quads = {}
	for v = 0,4 do
		for h = 0,4 do
		 sprite_quads[h+1+v*5] = love.graphics.newQuad(h*sprite_width, v*sprite_height, sprite_width, sprite_height, image_width, image_height)
		end
	end
	frame_max = 1/60
	frame_current = 0
end

function love.update(dt)
	frame_current = frame_current + dt
	if frame_current > frame_max then
		frame_current = frame_current - frame_max
		sprite_index = sprite_index + 1
		if sprite_index > 24 then
			sprite_index = 1
		end
	end
end

function love.draw()
    love.graphics.draw(textured_image,0,0)
    love.graphics.draw(textured_image,200,0,0,3,3)
	love.graphics.drawq(textured_image, sprite_quads[sprite_index],sprite_width*4,sprite_height*4)
	love.graphics.drawq(textured_image, sprite_quads[sprite_index],200 + sprite_width*4*3, sprite_height*4*3, 0, 3, 3)
end
